[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Potato to Woody dist-upgrade problems

On Mon, Jan 21, 2002 at 03:17:47AM -0600, Adam Heath wrote:
> On Mon, 21 Jan 2002, Francesco P. Lovergine wrote:
> > apt-get dselect-upgrade should be equivalent or not?
> It is, but if one hasn't run dselect, to modify the package selections, then
> what is the point?

dselect-upgrade and upgrade do different jobs. Package selected with
both are different, also without running dselect.
When I install woody currently I cycle dselect-upgrade/dist-upgrade/upgrade 
more times in order to have a working systems. Moreover, I preinstall the
new perl, libc6, debconf, apt, apt-tools if I'm doing a potato-to-woody 
update. This works always for me.

Francesco P. Lovergine

Reply to: